



#ifndef XPATHLINK_H
#define XPATHLINK_H

#include "xasset.h"

class XPathLink : public XAsset
{
public:
    explicit XPathLink();

    void ParseData(QDataStream *aStream) override;

    float GetDist() const;
    void SetDist(float dist);

    unsigned short GetNodeNum() const;
    void SetNodeNum(unsigned short num);

    unsigned char GetDisconnectCount() const;
    void SetDisconnectCount(unsigned char count);

    unsigned char GetNegotiationLink() const;
    void SetNegotiationLink(unsigned char link);

    const unsigned char* GetBadPlaceCount() const;
    void SetBadPlaceCount(const unsigned char* counts, size_t size = 4);

private:
    float mDist = 0.0f;
    unsigned short mNodeNum = 0;
    unsigned char mDisconnectCount = 0;
    unsigned char mNegotiationLink = 0;
    unsigned char mBadPlaceCount[4] = {0, 0, 0, 0};
};

#endif // XPATHLINK_H



